cgCreateSamplerState(3)

NAME
cgCreateSamplerState - create a sampler state definition

SYNOPSIS
  #include <Cg/cg.h>
  CGstate cgCreateSamplerState( CGcontext context,
                                const char * name,
                                CGtype type );

PARAMETERS

context
    The context in which to define the new sampler state.

name
    The name of the new sampler state.

type
    The type of the new sampler state.

RETURN VALUES
Returns a handle to the newly created CGstate.

Returns NULL if there is an error.

DESCRIPTION
cgCreateSamplerState adds a new sampler state definition to the context. When an effect file is added to the context, all state in sampler_state blocks must have already been defined via a call to cgCreateSamplerState or the cgCreateArraySamplerState manpage.

Applications will typically call the cgSetStateCallbacks manpage shortly after creating a new state with cgCreateSamplerState.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

CG_INVALID_PARAMETER_ERROR is generated if name is NULL or not a valid identifier, or if type is not a simple scalar, vector, or matrix-type. Array-typed state should be created with the cgCreateArrayState manpage.

HISTORY
cgCreateSamplerState was introduced in Cg 1.4.

SEE ALSO
the cgCreateArraySamplerState manpage, the cgGetStateName manpage, the cgGetStateType manpage, the cgIsState manpage, the cgCreateSamplerStateAssignment manpage, the cgGLRegisterStates manpage